Description:fix nickident.pl to work with dancer-services and
fix typo in parsing ircd responses
Forwarded: no
Author: The Fungi <fungi@yuggoth.org>
Last-Update: 2008-03-23
--- a/scripts/nickident.pl
+++ b/scripts/nickident.pl
@@ -91,9 +91,9 @@
 			Irssi::signal_stop();
 		} elsif ($text =~ /nick, type.+msg NickServ IDENTIFY.+password.+Otherwise,|please choose a different nick./i) {
 			Irssi::signal_stop();
-		} elsif ($text =~ /Password accepted - you are now recognized./ ||
+		} elsif ($text =~ /Password accepted - you are now recognized/ ||
 		         $text =~ /Wow, you managed to remember your password.  That's a miracle by your usual standard./ ||
-		 	 $text =~ /You are sucessfully identified as/ ) {
+		 	 $text =~ /You are successfully identified as/ ) {
 			Irssi::print("$name: Got a positive response from $nick/" . $server->{'tag'});
 			join_channels($server);
 			Irssi::signal_stop();
